spark-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pwend...@apache.org
Subject [14/20] spark git commit: Print an error if build for 2.10 and 2.11 is spotted.
Date Fri, 07 Nov 2014 19:31:36 GMT
Print an error if build for 2.10 and 2.11 is spotted.


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/c696f394
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/c696f394
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/c696f394

Branch: refs/heads/scala-2.11-prashant
Commit: c696f394ce45d6899d5facabafcfa59488a728da
Parents: 99a0df1
Author: Prashant Sharma <prashant.s@imaginea.com>
Authored: Mon Oct 27 13:59:13 2014 +0530
Committer: Prashant Sharma <prashant.s@imaginea.com>
Committed: Fri Nov 7 11:22:47 2014 +0530

----------------------------------------------------------------------
 bin/compute-classpath.sh | 10 ++++++++--
 examples/pom.xml         |  1 -
 2 files changed, 8 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/c696f394/bin/compute-classpath.sh
----------------------------------------------------------------------
diff --git a/bin/compute-classpath.sh b/bin/compute-classpath.sh
index dea1592..108c9af 100755
--- a/bin/compute-classpath.sh
+++ b/bin/compute-classpath.sh
@@ -37,8 +37,14 @@ fi
 if [ -z "$SPARK_SCALA_VERSION" ]; then
 
     ASSEMBLY_DIR2="$FWDIR/assembly/target/scala-2.11"
-    # if scala-2.11 directory for assembly exists,  we use that. Otherwise we default to

-    # scala 2.10.
+    ASSEMBLY_DIR1="$FWDIR/assembly/target/scala-2.10"
+    
+    if [[ -d "$ASSEMBLY_DIR2" && -d "$ASSEMBLY_DIR1" ]]; then
+        echo -e "Presence of build for both scala versions(SCALA 2.10 and SCALA 2.11) detected."
1>&2
+        echo -e 'Either clean one of them or, export SPARK_SCALA_VERSION=2.11 in spark-env.sh.'
1>&2
+        exit 1
+    fi
+
     if [ -d "$ASSEMBLY_DIR2" ]; then
         SPARK_SCALA_VERSION="2.11"
     else

http://git-wip-us.apache.org/repos/asf/spark/blob/c696f394/examples/pom.xml
----------------------------------------------------------------------
diff --git a/examples/pom.xml b/examples/pom.xml
index 0cc15e5..5f9d0b5 100644
--- a/examples/pom.xml
+++ b/examples/pom.xml
@@ -129,7 +129,6 @@
       <artifactId>jetty-server</artifactId>
     </dependency>
     <dependency>
-    <dependency>
       <groupId>org.apache.commons</groupId>
       <artifactId>commons-math3</artifactId>
     </dependency>


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org


Mime
View raw message